import { UserManager, User } from 'oidc-client';
export interface Location {
    search: string;
    hash: string;
}
export interface AuthProviderSignOutProps {
    signoutRedirect?: boolean | unknown;
}
export interface AuthProviderProps {
    userManager?: UserManager;
    authority?: string;
    clientId?: string;
    clientSecret?: string;
    redirectUri?: string;
    responseType?: string;
    scope?: string;
    location?: Location;
    autoSignIn?: boolean;
    onBeforeSignIn?: () => void;
    onSignIn?: (userData: User | null) => Promise<void> | void;
    onSignOut?: (options?: AuthProviderSignOutProps) => Promise<void> | void;
}
export interface AuthContextProps {
    signIn: (args?: unknown) => Promise<void>;
    signOut: () => Promise<void>;
    signOutRedirect: (args?: unknown) => Promise<void>;
    userManager: UserManager | null;
    userData?: User | null;
}
